from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Boolean, Int

Fileinfo_V0_1_0 = CommandToolBuilder(tool="FileInfo", base_command=["FileInfo"], inputs=[ToolInput(tag="in_in", input_type=File(optional=True), prefix="-in", doc=InputDocumentation(doc="*        Input file  (valid formats: 'mzData', 'mzXML', 'mzML', 'dta', 'dta2d', 'mgf', 'featureXML', 'consensusXML', 'idXML', 'pepXML', 'fid', 'mzid', 'trafoXML', 'fasta', 'pqp')")), ToolInput(tag="in_in_type", input_type=File(optional=True), prefix="-in_type", doc=InputDocumentation(doc="Input file type -- default: determined from file extension or content (valid: 'mzData', 'mzXML', 'mzML', 'dta', 'dta2d', 'mgf', 'featureXML', 'consensusXML', 'idXML', 'pepXML', 'fid', 'mzid', 'trafoXML', 'fasta', 'pqp')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="Optional output file. If left out, the output is written to the command line. (valid formats: 'txt')")), ToolInput(tag="in_show_meta_information", input_type=Boolean(optional=True), prefix="-m", doc=InputDocumentation(doc="Show meta information about the whole experiment")), ToolInput(tag="in_shows_processing_information", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="Shows data processing information")), ToolInput(tag="in_computes_fivenumber_statistics", input_type=Boolean(optional=True), prefix="-s", doc=InputDocumentation(doc="Computes a five-number statistics of intensities, qualities, and widths")), ToolInput(tag="in_show_detailed_listing", input_type=Boolean(optional=True), prefix="-d", doc=InputDocumentation(doc="Show detailed listing of all spectra and chromatograms (peak files only)")), ToolInput(tag="in_check_corrupt_only", input_type=Boolean(optional=True), prefix="-c", doc=InputDocumentation(doc="Check for corrupt data in the file (peak files only)")), ToolInput(tag="in_validate_file_consensusxml", input_type=Boolean(optional=True), prefix="-v", doc=InputDocumentation(doc="Validate the file only (for mzML, mzData, mzXML, featureXML, idXML, consensusXML, pepXML)")), ToolInput(tag="in_check_file_contains", input_type=Boolean(optional=True), prefix="-i", doc=InputDocumentation(doc="Check whether a given mzML file contains valid indices (conforming to the indexedmzML standard)")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="Optional output file. If left out, the output is written to the command line. (valid formats: 'txt')"))], container="quay.io/biocontainers/openms:2.6.0--h4afb90d_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Fileinfo_V0_1_0().translate("wdl")

